function crtaj_zazem(datoteka)
% CRTAJ_ZAZEM Crta zazemjuvac vo 3D zaedno so zatvorenite linii za ogradata
%             i zonata od 1 m okolu nea.
%   crtaj_zazem(datoteka)
%
%   Vlez:
%    datoteka : Ime na datotekata vo koja se dadeni podatocite za
%               zazemjuvacot. Detali za nejzina sodrzina moze da se vidat
%               vo zazemformat.
% See also ZAZEM

if isstruct(datoteka)
    Z = datoteka;
else
    Z = feval(datoteka);
end
[P,Q] = deal(Z.objekti(:,1:3),Z.objekti(:,4:6));
% Crtanje na zazemjuvacot
figure; xlabel('X(m)'); ylabel('Y(m)'); zlabel('Z(m)'); 
hold on
for i = 1:size(P,1)
    XYZ = [P(i,:); Q(i,:)];
	plot3(XYZ(:,1),XYZ(:,2),XYZ(:,3),'LineWidth',2);
end

% Crtanje na zonata okolu ogradata
plot3(Z.ograda(:,1),Z.ograda(:,2),zeros(size(Z.ograda,1),1),'--r','LineWidth',1);
% Prosiri ja ogradata za 1 m
izlez = extendPoly(Z.ograda,1,0.1); ograda1 = izlez{1,1}; %izlez e cellarray
plot3(ograda1(:,1),ograda1(:,2),zeros(size(ograda1,1),1),'--r','LineWidth',1);

% Nagoduvanja na slikata
grid; rotate3d on; view(45,45);
set(gcf,'Color',[1 1 1]);
% axis equal

% Crtanje na koordinaten sistem
plot3([0 1],[0 0],[0 0],'k','LineWidth',2);
plot3([0 0],[0 1],[0 0],'k','LineWidth',2);
plot3([0 0],[0 0],[0 1],'k','LineWidth',2);