function Lr = rotacija(L,C,alfa)
%ROTACIJA Rotacija na elementite od matricata L vo x-y ramnina. Rotacijata
%         se pravi okolu tockata C za agol alfa koj se zadava vo stepeni.
%
%  Lr = rotacija(L,C,alfa)
%
%  rotacija na eden element od zazemjuvacot
%  rotacija(pravoagolnik([0 0 -1],5,5,9),[2.5 2.5],45)
%
%  rotacija na site elementi od zazemjuvacot
%  Z.objekti = rotacija(Z.objekti,[0 0],45)
%
%  See also ZAZEMFORMAT, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI.

alfa = alfa/180*pi;
R = [
    cos(alfa) -sin(alfa)
    sin(alfa)  cos(alfa)
    ];
n = size(L,1);
C = repmat(C,n,1);
Lr = [(R*(L(:,1:2)-C)')'+C L(:,3) (R*(L(:,4:5)-C)')'+C L(:,6:7)];