%ZAZEMFORMAT    Opis na vleznite datoteki koi se koristat vo ZAZEM.
%
%  Podatocite za zazemjuvacite se zadavaat vo forma na funkcija koja e bez
%  vlezni argumenti, a kako izlez ja dava strukturata Z kako sto e dadeno
%  vo sledniot primer
%
%  function Z = z_lenta()
%  Z.rho = 200;
%  Z.Iz = 50;
%  Z.objekti = [
%  %  x1(m) y1(m) z1(m) x2(m) y2(m) z2(m) d(mm)
%     -5     0    -1     5     0    -1     22
%      ];
%  Z.ograda = [
%  % x(m) y(m)
%     0.5  0.5
%    -0.5  0.5
%    -0.5 -0.5
%     0.5 -0.5
%     0.5  0.5
%  ];
%  Z.tocki = [
%  % x(m) y(m) z(m)
%       0    1    0
%       5    1    0
%      10   -1    0
%  ];
%  Z.linii = [
%  % x1(m) y1(m) x2(m) y2(m) delta(m)
%   -10     0    10     0     0.2
%     0    -5     0     5     0.2
%  ];
%
%  Polinjata vo strukturata Z go imaat slednoto znacenje
%  rho - specificna otpornost na zemjata
%  Iz  - struja koja se injektira vo zazemjuvacot
%  objekti - Matrica so podatoci za sprovodnicite. Vo prvite 6 koloni se
%            dadeni x, y i z koordinatite na krajnite tocki od sekoj
%            sprovodnik (izrazeni vo m), a vo kolonata 7 e dijametarot na
%            sprovodnikot (izrazen vo mm). So funkcijata z_lenta e
%            definiran zazemjuvac koj se sostoi od edna lenta koja pocnuva
%            vo tockata (-5,0,-1), a zavrsuva vo tockata (5,0,-1).
%            Nejziniot dijametar e 22 mm.
%    tocki - Matrica so koja se definirani tocki na povrsinata na zemjata
%            vo koi sakame da presmetame potencijal. Taa ima 3 koloni vo
%            koi se zadavaat x, y i z koordinatite na tockite.
%    linii - Matrica so koja se definirani linii na povrsinata na zemjata
%            po cija dolzina sakame da ja prikazeme promenata na
%            potencijalot. Taa ima 5 koloni i vo nea se zadavaat
%            x1,y1 - Koordinati na pocetnata tocka
%            x2,y2 - Koordinati na krajnata tocka
%            delta - Cekor za crtanje po dolzina na linijata
%  Ako nema potreba matricite tocki i linii moze i da ne se zadadat.
%
%  Vnesuvanjeto na podatocite vo matricata objekti mozeme da go
%  poednostavime so koristenje na funkciite linija, pravoagolnik, krug,
%  zraci ili sondi. Kako na primer
%  Z.objekti = [
%      pravoagolnik([0 0 -0.5],5,5,9)
%      linija([2.5 0 -0.5],[7.5 0 -0.5], 9)
%  ];
%
%  See also ZAZEM, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI.
